summaryrefslogtreecommitdiffstats
path: root/etc
diff options
context:
space:
mode:
authorasomers <asomers@FreeBSD.org>2017-05-30 16:05:11 +0000
committerasomers <asomers@FreeBSD.org>2017-05-30 16:05:11 +0000
commit246c27a021ad6abc840696ee7287f9d935ef50cf (patch)
tree3e114d6a41e47565d639da089186296b46c37a39 /etc
parent7441a46b3b63a837e1970d649a4e8a373e413caa (diff)
downloadFreeBSD-src-246c27a021ad6abc840696ee7287f9d935ef50cf.zip
FreeBSD-src-246c27a021ad6abc840696ee7287f9d935ef50cf.tar.gz
MFC r301207:
Fix exit status of "service routing start <af> <iface>" etc/rc.d/routing Ignore the exit status of options_{inet,inet6,atm}. It's meaningless. Reviewed by: hrs Sponsored by: Spectra Logic Corp Differential Revision: https://reviews.freebsd.org/D6687
Diffstat (limited to 'etc')
-rwxr-xr-xetc/rc.d/routing5
1 files changed, 5 insertions, 0 deletions
diff --git a/etc/rc.d/routing b/etc/rc.d/routing
index 4735084..303ea5e 100755
--- a/etc/rc.d/routing
+++ b/etc/rc.d/routing
@@ -89,18 +89,23 @@ routing_stop()
setroutes()
{
+ local _ret
+ _ret=0
case $1 in
static)
static_$2 add $3
+ _ret=$?
;;
options)
options_$2
;;
doall)
static_$2 add $3
+ _ret=$?
options_$2
;;
esac
+ return $_ret
}
routing_stop_inet()
OpenPOWER on IntegriCloud